| Version: 3.2.5

Classes
clntdata.h File Reference

## Classes

class | wxClientDataContainer
| This class is a mixin that provides storage and management of "client data". More...
class | wxSharedClientDataContainer
| This class is a replacement for wxClientDataContainer, and unlike wxClientDataContainer the wxSharedClientDataContainer client data is copiable, so it can be copied when objects containing it are cloned. More...
class | wxClientData
| All classes deriving from wxEvtHandler (such as all controls and wxApp) can hold arbitrary data which is here referred to as "client data". More...
class | wxStringClientData
| Predefined client data class for holding a string. More...